package com.bocloud.rms.common.enums;

/**
 * @Author: lxy
 * @Description: 公有云名称枚举
 * @Date 2021/7/8 17:59
 * @Param null
 * @return
 * @throws:
 **/
public enum PcType {
    ALI("ALI", "阿里云"),
    HUAWEI("HUAWEI", "华为云");

    /**
     * 类型
     */
    private String type;
    /**
     * 平台名称
     */
    private String pcName;

    PcType(String type, String pcName) {
        this.type = type;
        this.pcName = pcName;
    }

    public String getType() {
        return this.type;
    }

    public String getPcName() {
        return this.pcName;
    }

    public static PcType getByType(String type) {
        for (PcType transactType : values()) {
            if (transactType.getType().equals(type)) {
                //获取指定的枚举
                return transactType;
            }
        }
        return null;
    }
}
