package com.bocloud.rms.entity;

import com.bocloud.common.utils.DateDeserializer;
import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 公有云账单模板属性
 *
 * @author lyy
 * @version 1.0
 * @date 2021/2/22 10:10
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("pc_template_property")
public class PcTemplateProperty extends Generic {
    @PK(PKStrategy.AUTO)
    private Long id; // ID
    @Column("template_id")
    private Long templateId;
    @Column("name")
    private String name;
    @Column("is_show")
    private Boolean show;
    @Column("gmt_create")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    @Column("creator_id")
    private Long creatorId;
    @Column("mender_id")
    private Long menderId;
    @Column("is_deleted")
    private Boolean deleted;
    @Column("code")
    private String code;
}
