package com.bocloud.rms.repository;

import com.bocloud.common.model.Pager;
import com.bocloud.common.model.Param;
import com.bocloud.common.utils.Common;
import com.bocloud.common.utils.MapTools;
import com.bocloud.rms.entity.PcTemplatePropertyValue;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import com.bocloud.database.utils.QueryBuilder;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author lyy
 * @version 1.0
 * @date 2021/2/22 10:34
 */
@Repository("pcTemplatePropertyValueRepository")
public class PcTemplatePropertyValueRepository extends BasicGenericDao<PcTemplatePropertyValue, Long> {
    public PcTemplatePropertyValueRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }

    public List<PcTemplatePropertyValue> list(int page, int rows, List<Param> params, Map<String, String> sorter) {
        String sql = "select * from pc_template_property_value where is_deleted = 0 ";
        sql = QueryBuilder.buildRaw(sql, new Pager(page, rows, params, sorter), "");
        Map<String, Object> paramMap = QueryBuilder.getParam(params);
        return this.list(PcTemplatePropertyValue.class, sql, paramMap);
    }

    public boolean deleteByTemplateId(Long templateId, Long userId) {
        String sql = "update pc_template_property_value set is_deleted = 1, mender_id = :menderId where template_id = :templateId";
        Map<String, Object> params = MapTools.simpleMap("templateId", templateId);
        params.put("menderId", userId);
//        params.put("gmtModify", new Date());
        return this.execute(sql, params) > 0;
    }

    public int count(List<Param> params) {
        String sql = "select count(1) from pc_template_property_value where is_deleted = 0 ";
        sql = QueryBuilder.buildRaw(sql, params, null, "");
        Map<String, Object> param = QueryBuilder.getParam(params);
        return this.countQuery(sql, param).intValue();
    }
}
